@import url('https://fonts.googleapis.com/css2?family=Krona+One&family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

body {
    font-family: "Montserrat", sans-serif;
    color: #0C0421;
}

.container {
    max-width: 1200px;
    margin: 0 auto;
    padding: 35px 20px;
}


header {
    background-color: #9FCB98;
}

hr {
    border: none;
    border-top: 1px solid #000;
    width: 90%;
    margin: 0 auto;
}

header .logotipo {
    display: flex;
    justify-content: center;
    padding: 20px 0;
}

header nav {
    padding: 20px 0;
}

header nav ul {
    display: flex;
    justify-content: center;
    gap: 50px;
    list-style: none;
}

header nav ul a {
    text-decoration: none;
    color: #0C0421;
    font-size: 14px;
}

header nav ul a:hover{
    color:#ffffff;
}

.boas_vindas {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    padding: 60px 20px;
    background: linear-gradient(to bottom, #9FCB98, #ffffff);
    gap: 50px;
}

.boas_vindas .Menssagem h1 {
    font-family: "Krona One", sans-serif;
    font-size: 32px;
    color: #0C0421;
}

.boas_vindas .Menssagem span {
    font-family: "Krona One", sans-serif;
    font-size: 32px;
    color: #346739;
}

.boas_vindas .button a {
    display: inline-block;
    margin-top: 30px;
    padding: 15px 50px;
    border-radius: 40px;
    background-color: #346739;
    color: #FFFFFF;
    text-decoration: none;
    font-weight: bold;
}

.boas_vindas .button a:hover{
    background-color: #9FCB98;
    color: #000;
}
.b_img img {
    max-width: 350px;
    border-radius: 200px 200px 200px 200px;
    border: 2px solid #000;
}


.sobre h2 {
    font-family: "Krona One", sans-serif;
    text-align: center;
    padding-bottom: 25px;
    color: #346739;
}

.sobre p {
    font-size: 16px;
    line-height: 1.6;
    margin-bottom: 15px;
    text-align: justify;
}


.produto-1, .produto-2 {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 3rem;
    margin-bottom: 50px;
}

.descricao-produto-1, .descricao-produto-2 {
    flex: 1;
}

.descricao-produto-1 h2, .descricao-produto-2 h2 {
    font-family: "Krona One", sans-serif;
    color: #346739;
    margin-bottom: 15px;
}

.separador {
    margin-top: 20px;
    width: 100%;
}

.produto-1 img:first-child, .grupo-imagem-produto-2 img {
    border-radius: 20px;
    max-width: 100%;
}

.grupo-imagem-produto-2 {
    display: flex;
    gap: 15px;
}


.fundo-verde-gradiente {
    background: linear-gradient(to bottom, #ffffff, #9FCB98);
}


.info .cards {
    display: flex;
    justify-content: center;
    gap: 20px;
    flex-wrap: wrap;
}

.card {
    text-align: center;
    width: 30%;
    background-color: rgba(255, 255, 255, 0.5); 
    padding: 30px 20px;
    border: 1px solid #fff;
    border-radius: 20px;
    box-shadow: 0 4px 6px rgba(0,0,0,0.05);
}

.card h2 {
    font-family: "Montserrat", sans-serif;
    font-size: 16px;
    font-weight: bold;
    margin-bottom: 15px;
}

.card img {
    margin: 15px 0;
    width: 20px;
}

.card p {
    font-size: 14px;
}


.contato {
    display: flex;
    justify-content: space-between;
    align-items: stretch;
    gap: 40px;
    margin-top: 50px;
    padding-bottom: 80px;
}

.contato-imagens {
    flex: 1;
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.contato-imagens img {
    width: 100%;
    height: 50%;
    object-fit: cover;
    border-radius: 20px;
}

.contato-form {
    flex: 1;
    background-color: #E8F3D6; 
    padding: 40px;
    border-radius: 20px;
}

.contato-form h2 {
    color: #346739;
    font-family: "Montserrat", sans-serif;
    margin-bottom: 10px;
}

.contato-form p {
    font-size: 14px;
    margin-bottom: 25px;
}

.input-group {
    display: flex;
    flex-direction: column;
    margin-bottom: 15px;
}

.input-group label {
    font-size: 12px;
    font-weight: bold;
    margin-bottom: 5px;
}

.input-group input[type="text"],
.input-group input[type="email"],
.input-group input[type="tel"],
.input-group textarea {
    padding: 12px;
    border: none;
    border-radius: 10px;
    background-color: #ffffff;
    font-family: "Montserrat", sans-serif;
}

.input-group textarea {
    resize: none;
    height: 80px;
}

.radio-options {
    display: flex;
    gap: 15px;
    align-items: center;
    font-size: 12px;
}

.radio-options input {
    margin-right: 5px;
}

.btn-enviar {
    background-color: #346739;
    color: #fff;
    border: none;
    padding: 15px 40px;
    border-radius: 20px;
    font-weight: bold;
    font-family: "Montserrat", sans-serif;
    cursor: pointer;
    width: 100%;
    margin-top: 10px;
}

.btn-enviar:hover{
    background-color: #9FCB98;
    color: #000;
}


footer {
    background-color: #E8F3D6; /* Mesmo verde do form */
    text-align: center;
    padding: 30px 20px;
}

footer p {
    font-size: 14px;
    font-weight: bold;
}

footer .redes-sociais {
    display: flex;
    justify-content: center;
    gap: 20px;
    margin: 15px 0;
}

footer .redes-sociais img {
    width: 25px;
    cursor: pointer;
}

footer .desenvolvedor {
    font-size: 12px;
    font-weight: normal;
}


@media (max-width: 900px) {
    .boas_vindas, .produto-1, .produto-2, .contato {
        flex-direction: column;
        text-align: center;
    }

    .produto-2 {
        flex-direction: column-reverse;
    }

    .info .cards {
        flex-direction: column;
    }

    .card {
        width: 100%;
    }
}